Method: projects.locations.authProviders.list

Lists auth providers in a given project and location.

HTTP request

GET https://agentidentity.googleapis.com/v1beta/{parent=projects/*/locations/*}/authProviders

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where the search is performed. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum page size is 1000.

pageToken

string

Optional. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, the first page is returned.

filter

string

Optional. Filter results. This field is currently ignored.

orderBy

string

Optional. Currently ignored. Defaults to ordering by authProviderId in ascending order.

showDeleted

boolean

Optional. Deleted auth providers will be kept with a soft-delete for 30 days before being purged. If this field is set to true, deleted auth providers will also be returned.

Request body

The request body must be empty.

Response body

Response message for authProviders.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "authProviders": [
    {
      object (AuthProvider)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
authProviders[]

object (AuthProvider)

The list of auth providers.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentidentity.authProviders.list

For more information, see the IAM documentation.